[arch-commits] Commit in python-xarray/repos/community-any (PKGBUILD PKGBUILD)

Bruno Pagani archange at archlinux.org
Tue Dec 22 21:48:06 UTC 2020


    Date: Tuesday, December 22, 2020 @ 21:48:05
  Author: archange
Revision: 783034

archrelease: copy trunk to community-any

Added:
  python-xarray/repos/community-any/PKGBUILD
    (from rev 783033, python-xarray/trunk/PKGBUILD)
Deleted:
  python-xarray/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  138 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 69 insertions(+), 69 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-12-22 21:47:58 UTC (rev 783033)
+++ PKGBUILD	2020-12-22 21:48:05 UTC (rev 783034)
@@ -1,69 +0,0 @@
-# Maintainer: Bruno Pagani <archange at archlinux.org>
-
-_pkg=xarray
-pkgname=python-${_pkg}
-pkgver=0.16.1
-pkgrel=3
-pkgdesc="N-D labeled arrays and datasets in Python"
-arch=(any)
-url="https://xarray.pydata.org/"
-license=(Apache)
-makedepends=(python-setuptools)
-depends=(python-numpy python-pandas)
-optdepends=(
-  'python-netcdf4: netCDF4 support'
-  'python-scipy: interpolation features & fallback for netCDF3 support'
-#  'python-pydap: fallback for accessing OPeNDAP'
-#  'python-h5netcdf: alternative for netCDF4 support'
-#  'python-pynio: geoscience specific file formats support' 
-#  'python-zarr: chunked, compressed N-dimensional arrays'
-  'python-cftime: datetimes support for non-standard calendars or distant dates'
-#  'python-pseudonetcdf: atmospheric science specific file formats support'
-#  'python-rasterio: GeoTiffs and other gridded raster datasets support'
-#  'python-iris: conversion to and from iris’ Cube objects'
-#  'python-cfgrib: mapping GRIB files to CDF4'
-  'python-bottleneck: faster NaN-skipping and rolling window aggregations'
-#  'python-numbagg: faster exponential rolling window operations'  
-  'python-dask: parallel computation'
-  'python-distributed: parallel computation'
-  'python-matplotlib: plotting support'
-#  'python-cartopy: plotting of cartographic data'
-  'python-seaborn: better color palettes for plots'
-#  'python-nc-time-axis: plotting of cftime.datetime objects'  
-#  'python-sparse: sparse arrays support'
-  'python-pint: units of measure support'
-)
-checkdepends=(
-    python-pytest
-    python-netcdf4
-    python-scipy
-    python-cftime
-    python-bottleneck
-    python-dask
-    python-distributed
-    python-matplotlib
-    python-seaborn
-    python-pint
-)
-source=(https://files.pythonhosted.org/packages/source/${_pkg::1}/${_pkg}/${_pkg}-${pkgver}.tar.gz)
-sha256sums=('5e1af056ff834bf62ca57da917159328fab21b1f8c25284f92083016bb2d92a5')
-
-build() {
-    cd ${_pkg}-${pkgver}
-    python setup.py build
-}
-
-check() {
-    cd ${_pkg}-${pkgver}
-    # https://github.com/pydata/xarray/issues/4281
-    pytest || echo "Tests failed"
-}
-
-package() {
-    cd ${_pkg}-${pkgver}
-    python setup.py install --prefix=/usr --root="${pkgdir}" --skip-build --optimize=1
-    # Remove tests
-    rm -r "${pkgdir}"$(python -c "import site; print(site.getsitepackages()[0])")/xarray/tests
-    # Fix permissions
-    chmod -R a+r "${pkgdir}"$(python -c "import site; print(site.getsitepackages()[0])")/xarray/
-}

Copied: python-xarray/repos/community-any/PKGBUILD (from rev 783033, python-xarray/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-12-22 21:48:05 UTC (rev 783034)
@@ -0,0 +1,69 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+
+_pkg=xarray
+pkgname=python-${_pkg}
+pkgver=0.16.2
+pkgrel=1
+pkgdesc="N-D labeled arrays and datasets in Python"
+arch=(any)
+url="https://xarray.pydata.org/"
+license=(Apache)
+makedepends=(python-setuptools)
+depends=(python-numpy python-pandas)
+optdepends=(
+  'python-netcdf4: netCDF4 support'
+  'python-scipy: interpolation features & fallback for netCDF3 support'
+#  'python-pydap: fallback for accessing OPeNDAP'
+#  'python-h5netcdf: alternative for netCDF4 support'
+#  'python-pynio: geoscience specific file formats support' 
+#  'python-zarr: chunked, compressed N-dimensional arrays'
+  'python-cftime: datetimes support for non-standard calendars or distant dates'
+#  'python-pseudonetcdf: atmospheric science specific file formats support'
+#  'python-rasterio: GeoTiffs and other gridded raster datasets support'
+#  'python-iris: conversion to and from iris’ Cube objects'
+#  'python-cfgrib: mapping GRIB files to CDF4'
+  'python-bottleneck: faster NaN-skipping and rolling window aggregations'
+#  'python-numbagg: faster exponential rolling window operations'  
+  'python-dask: parallel computation'
+  'python-distributed: parallel computation'
+  'python-matplotlib: plotting support'
+#  'python-cartopy: plotting of cartographic data'
+  'python-seaborn: better color palettes for plots'
+#  'python-nc-time-axis: plotting of cftime.datetime objects'  
+#  'python-sparse: sparse arrays support'
+  'python-pint: units of measure support'
+)
+checkdepends=(
+    python-pytest
+    python-netcdf4
+    python-scipy
+    python-cftime
+    python-bottleneck
+    python-dask
+    python-distributed
+    python-matplotlib
+    python-seaborn
+    python-pint
+)
+source=(https://files.pythonhosted.org/packages/source/${_pkg::1}/${_pkg}/${_pkg}-${pkgver}.tar.gz)
+sha256sums=('38e8439d6c91bcd5b7c0fca349daf8e0643ac68850c987262d53526e9d7d01e4')
+
+build() {
+    cd ${_pkg}-${pkgver}
+    python setup.py build
+}
+
+check() {
+    cd ${_pkg}-${pkgver}
+    # https://github.com/pydata/xarray/issues/4281
+    pytest || echo "Tests failed"
+}
+
+package() {
+    cd ${_pkg}-${pkgver}
+    python setup.py install --prefix=/usr --root="${pkgdir}" --skip-build --optimize=1
+    # Remove tests
+    rm -r "${pkgdir}"$(python -c "import site; print(site.getsitepackages()[0])")/xarray/tests
+    # Fix permissions
+    chmod -R a+r "${pkgdir}"$(python -c "import site; print(site.getsitepackages()[0])")/xarray/
+}



More information about the arch-commits mailing list